From c1e31ffef30865143ec03bf1751574302f1a7b30 Mon Sep 17 00:00:00 2001
From: Qingnan Duan <duanqn_own_1@yeah.net>
Date: Sun, 29 Jan 2023 15:35:25 +0800
Subject: [PATCH] Fix out-of-bound access

---
 core/src/ConcentricFinder.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/core/src/ConcentricFinder.h b/core/src/ConcentricFinder.h
index e9be41b5b..775dbb144 100644
--- a/core/src/ConcentricFinder.h
+++ b/core/src/ConcentricFinder.h
@@ -27,7 +27,7 @@ static float CenterFromEnd(const std::array<T, N>& pattern, float end)
 		float b = (pattern[2] + pattern[1] + pattern[0]) / 2.f;
 		return end - (2 * a + b) / 3;
 	} else { // aztec
-		auto a = std::accumulate(&pattern[N/2 + 1], &pattern[N], pattern[N/2] / 2.f);
+		auto a = std::accumulate(pattern.begin() + (N/2 + 1), pattern.end(), pattern[N/2] / 2.f);
 		return end - a;
 	}
 }
